> ## Documentation Index
> Fetch the complete documentation index at: https://docs.keyapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Trending Search Keyword Ranking

> Get the real-time TikTok search keyword ranking by tab and region. The response reflects what users are actively searching for, which helps with topic research, keyword planning, naming, and SEO direction.

<div className="inline-flex items-center gap-2 px-4 py-2 bg-yellow-50 dark:bg-yellow-900/20 border border-yellow-200 dark:border-yellow-800 rounded-lg">
  <span className="text-base">🪙</span>
  <span className="text-sm font-medium text-yellow-900 dark:text-yellow-100"><span className="font-semibold">1 credit</span><span className="text-yellow-700 dark:text-yellow-300 ml-1">per request</span></span>
</div>

## Copy for AI

<div className="my-6 rounded-xl border border-gray-200 bg-gray-50 p-5 dark:border-gray-800 dark:bg-gray-900/40">
  <div className="min-w-0">
    <p className="text-base font-semibold text-gray-900 dark:text-gray-100">🤖 Why Code When AI Can Do It For You?</p>
    <p className="mt-1 text-sm text-gray-700 dark:text-gray-300">Stop writing code like it's 1970! Let AI do the heavy lifting - click the sparkles to copy a perfectly formatted prompt for ChatGPT, Claude, or your favorite AI assistant.</p>
  </div>

  <div className="mt-4">
    <button type="button" className="inline-flex items-center gap-2 rounded-md border border-emerald-300 bg-emerald-50 px-3 py-2 text-sm font-medium text-emerald-800 hover:bg-emerald-100 dark:border-emerald-700 dark:bg-emerald-900/30 dark:text-emerald-100 dark:hover:bg-emerald-900/50" onClick={() => navigator.clipboard.writeText("I want to make an API call to https://api.keyapi.ai/v1/tiktok/trending/keyword/ranking.\n\nPlease help me write code to make this API call and handle the response appropriately. Include error handling and best practices.\n\nHere are the details:\n\nEndpoint: GET https://api.keyapi.ai/v1/tiktok/trending/keyword/ranking\n\nDescription: Get the real-time TikTok search keyword ranking by tab and region. The response reflects what users are actively searching for, which helps with topic research, keyword planning, naming, and SEO direction.\n\nRequired Headers:\n--header 'Authorization: Bearer <YOUR_API_KEY>'\n\nParameters:\n- tab (Required): Filter category. Available values include all, Fashion, Food, Sports, Tourism, Gaming, and Science.. Example: all\n- region (Required): Region or market code, such as US.. Example: US\n- offset (Optional): Pagination offset. If has_more is 1, use the returned cursor to fetch the next page.. Example: 0\n- count (Optional): Number of items to return.. Example: 10\n\nExample Response:\n{\n  \"code\": 0,\n  \"message\": \"success\",\n  \"data\": {\n    \"banners\": {\n      \"conversion_bar_list\": [\n        {\n          \"item_link\": \"https://activity.tiktokw.us/magic/eco/runtime/release/66581e19df4daf02866b5cc9?appType=muse&magic_page_no=1&lang=en&region=Default&use_spark=1\",\n          \"item_text\": \"Learn more\"\n        }\n      ],\n      \"event_banners\": {\n        \"ecommerce_education\": {\n          \"eligible\": {\n            \"image_url\": \"https://sf16-muse-va.ibytedtos.com/obj/search-static-maliva/maliva/6cjd5rh91716193010532\",\n            \"link\": \"https://activity.tiktokw.us/magic/eco/runtime/release/664c4298f65e08d77319049b?appType=muse&magic_page_no=1&lang=en-US&region=US&use_spark=1 \",\n            \"text\": \"Promote products people want to buy. Start earning now!\"\n          },\n          \"enrolled\": {\n            \"image_url\": \"https://sf16-muse-va.ibytedtos.com/obj/search-static-maliva/maliva/b0fmjabl1716192964040\",\n            \"link\": \"https://activity.tiktokw.us/magic/eco/runtime/release/6645db2e6f3a610291d0b0ac?appType=muse&magic_page_no=1&lang=en-US&region=US&use_spark=1\",\n            \"text\": \"Create shoppable videos with products people want to buy!\"\n          },\n          \"non_eligible\": {\n            \"image_url\": \"https://sf16-muse-va.ibytedtos.com/obj/search-static-maliva/maliva/hdskk6yq1716193026366\",\n            \"link\": \"https://activity.tiktokw.us/magic/eco/runtime/release/664c4c03f33586028244e7fb?appType=muse&magic_page_no=1&lang=en-US&region=US&use_spark=1\",\n            \"text\": \"Explore opportunities to earn with shopping insights\"\n          }\n        }\n      },\n      \"home_page_banner\": \"https://sf16-muse-va.ibytedtos.com/obj/search-static-maliva/maliva/q8hl7ump1713411026852\",\n      \"image_url\": \"https://sf16-muse-va.ibytedtos.com/obj/search-static-maliva/maliva/r8z2ni6s1708410808360\",\n      \"image_url_dark\": \"https://sf16-muse-va.ibytedtos.com/obj/search-static-maliva/maliva/a1av24511708410895413\",\n      \"loading_page_banner\": \"https://p16-search-fe-static.tiktokcdn-us.com/tos-alisg-i-baf7wf9fmw-sg/e06d4221d05a4859be4def9f58c37540~tplv-baf7wf9fmw-image.image\"\n    },\n    \"cost_tracker\": {\n      \"es_cost\": 61,\n      \"fetch_cache_cost\": 1,\n      \"model_cost\": 97,\n      \"post_process_cost\": 8,\n      \"recall_cost\": 61,\n      \"total_cost\": 177\n    },\n    \"cursor\": 10,\n    \"extra\": {\n      \"latency\": 177,\n      \"logid\": \"20260715121340A11EFE2C22CDF00F7CA7\",\n      \"now\": 1784117621182,\n      \"vgeo\": \"VGeo-US\"\n    },\n    \"has_more\": true,\n    \"inspiration_list\": [\n      {\n        \"business_types\": [\n          \"basic\",\n          \"experience\",\n  ... truncated ...")}>
      <span>✨</span>
      <span>Copy for AI</span>
    </button>
  </div>
</div>


## OpenAPI

````yaml en/tiktok.openapi.json GET /v1/tiktok/trending/keyword/ranking
openapi: 3.0.1
info:
  title: Tiktok API english documentation
  description: >-
    The english reference documentation of the Tiktok API includes the
    interface's purpose, parameter description, response status, and sample
    structure.
  version: 1.0.0
servers:
  - url: https://api.keyapi.ai
    description: Production
security: []
tags:
  - name: TikTok Influencer
  - name: TikTok Shop
  - name: TikTok Content
  - name: TikTok Intelligence
paths:
  /v1/tiktok/trending/keyword/ranking:
    get:
      tags:
        - TikTok Intelligence
      summary: Trending Search Keyword Ranking
      description: >-
        Get the real-time TikTok search keyword ranking by tab and region. The
        response reflects what users are actively searching for, which helps
        with topic research, keyword planning, naming, and SEO direction.
      parameters:
        - name: tab
          in: query
          description: >-
            Filter category. Available values include all, Fashion, Food,
            Sports, Tourism, Gaming, and Science.
          required: true
          example: all
          schema:
            type: string
            example: all
        - name: region
          in: query
          description: Region or market code, such as US.
          required: true
          example: US
          schema:
            type: string
            example: US
        - name: offset
          in: query
          description: >-
            Pagination offset. If has_more is 1, use the returned cursor to
            fetch the next page.
          required: false
          example: 0
          schema:
            type: integer
            example: 0
        - name: count
          in: query
          description: Number of items to return.
          required: false
          example: 10
          schema:
            type: integer
            example: 10
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                code: 0
                message: success
                data:
                  banners:
                    conversion_bar_list:
                      - item_link: >-
                          https://activity.tiktokw.us/magic/eco/runtime/release/66581e19df4daf02866b5cc9?appType=muse&magic_page_no=1&lang=en&region=Default&use_spark=1
                        item_text: Learn more
                    event_banners:
                      ecommerce_education:
                        eligible:
                          image_url: >-
                            https://sf16-muse-va.ibytedtos.com/obj/search-static-maliva/maliva/6cjd5rh91716193010532
                          link: >-
                            https://activity.tiktokw.us/magic/eco/runtime/release/664c4298f65e08d77319049b?appType=muse&magic_page_no=1&lang=en-US&region=US&use_spark=1 
                          text: >-
                            Promote products people want to buy. Start earning
                            now!
                        enrolled:
                          image_url: >-
                            https://sf16-muse-va.ibytedtos.com/obj/search-static-maliva/maliva/b0fmjabl1716192964040
                          link: >-
                            https://activity.tiktokw.us/magic/eco/runtime/release/6645db2e6f3a610291d0b0ac?appType=muse&magic_page_no=1&lang=en-US&region=US&use_spark=1
                          text: >-
                            Create shoppable videos with products people want to
                            buy!
                        non_eligible:
                          image_url: >-
                            https://sf16-muse-va.ibytedtos.com/obj/search-static-maliva/maliva/hdskk6yq1716193026366
                          link: >-
                            https://activity.tiktokw.us/magic/eco/runtime/release/664c4c03f33586028244e7fb?appType=muse&magic_page_no=1&lang=en-US&region=US&use_spark=1
                          text: Explore opportunities to earn with shopping insights
                    home_page_banner: >-
                      https://sf16-muse-va.ibytedtos.com/obj/search-static-maliva/maliva/q8hl7ump1713411026852
                    image_url: >-
                      https://sf16-muse-va.ibytedtos.com/obj/search-static-maliva/maliva/r8z2ni6s1708410808360
                    image_url_dark: >-
                      https://sf16-muse-va.ibytedtos.com/obj/search-static-maliva/maliva/a1av24511708410895413
                    loading_page_banner: >-
                      https://p16-search-fe-static.tiktokcdn-us.com/tos-alisg-i-baf7wf9fmw-sg/e06d4221d05a4859be4def9f58c37540~tplv-baf7wf9fmw-image.image
                  cost_tracker:
                    es_cost: 61
                    fetch_cache_cost: 1
                    model_cost: 97
                    post_process_cost: 8
                    recall_cost: 61
                    total_cost: 177
                  cursor: 10
                  extra:
                    latency: 177
                    logid: 20260715121340A11EFE2C22CDF00F7CA7
                    now: 1784117621182
                    vgeo: VGeo-US
                  has_more: true
                  inspiration_list:
                    - business_types:
                        - basic
                        - experience
                        - hot_event_v2
                        - trend_experience
                        - hashtag
                      cover_image: ''
                      debug_info:
                        creator_category:
                          - reason: byFollowerCnt
                            type: new_creator
                          - type: csi_new_user
                        creator_lang:
                          infer_languages:
                            - en
                          use_mul_lang: false
                        experiment:
                          csi_csi_dynamic_tab: csi_dynamic_tab_v4
                          csi_csi_exp_base_trending: csi_exp_base_trending
                          csi_csi_exp_group_ai_canvas: csi_exp_group_ai_canvas
                          csi_csi_exp_group_boost: boost_exp_new_user_v3
                          csi_csi_exp_group_multitasks_optimization_1: csi_v41_DCN_compress_ffm_r1381443_0-v2
                          csi_csi_exp_group_name_es_fusion_score: es_fusion_score_rt_v2
                          csi_csi_photomode_multi_model: photomode_add_feature_ttp_0602_v2
                          csi_csi_remove_midlongtail: csi_remove_midlongtail_v1
                          csi_csi_v1_video_quality_multitask_dcn_compress128_v99864_c918020_r1415463_0: >-
                            csi_v1_video_quality_multitask_dcn_compress128_v99864_c918020_r1415463_0_v1
                          csi_csi_v39_r1416848_0: csi_v39_r1416848_0_v4
                          csi_useful_exp_video: useful_exp_video_v0
                        language: en
                        recall_scores:
                          - 0
                          - 0
                        recall_source:
                          - FromEsTrending
                          - FromRegionHotQuery
                        rough_score: 0
                        score: 0.0015363660641014576
                        target_score:
                          all_boost: 1
                          before_boost: 0.0015363660641014576
                          multitasks_click_score: 0.04604092240333557
                          multitasks_collection_score: 0.005504786968231201
                          multitasks_info_collection_score: 0.020099341869354248
                          multitasks_info_shoot_score: 0.058168262243270874
                          multitasks_shoot_score: 0.005601733922958374
                          multitasks_strict_publish_score: 0.0027827322483062744
                          rank_relevance_score: 0.0038940608501434326
                          recall_relevance_score: 0.49953463673591614
                          video_quality_publish_score: 0.0008165836334228516
                          video_quality_strict_search_vv_score: 0.12448451668024063
                      dislike_option_enabled: false
                      entity_id: 0
                      favorited_updated_at: 0
                      inspiration_types:
                        - search
                      is_favorited: false
                      order_popularity_seq: []
                      popularity: 98
                      popularity_updated_at: 1784113990
                      popularity_v2: 73159142
                      query_id: '7634138931721666580'
                      query_id_str: '7634138931721666580'
                      query_labels:
                        - content_gap
                      query_text: perfect car wrap
                      rewrite_version: ''
                      show_ai_canvas_entry: false
                      sug_id_str: '0'
                      textnet:
                        layer1: Vehicles & Transportation
                        layer2: Transport Equipment
                        layer3: Motor Vehicles
                        layer4: Vehicle Fans
                      trending_seq:
                        - 0
                        - 24
                        - 65
                        - 2
                        - 68
                        - 8
                        - 100
                      trending_seq_v2:
                        - 0
                        - 1299
                        - 57882
                        - 99
                        - 88473
                        - 399
                        - 73159142
                      use_csi_api_for_related_videos: false
                      user_avatars: []
                      video_num: 0
                    - business_types:
                        - basic
                      cover_image: ''
                      debug_info:
                        creator_category:
                          - reason: byFollowerCnt
                            type: new_creator
                          - type: csi_new_user
                        creator_lang:
                          infer_languages:
                            - en
                          use_mul_lang: false
                        experiment:
                          csi_csi_dynamic_tab: csi_dynamic_tab_v4
                          csi_csi_exp_base_trending: csi_exp_base_trending
                          csi_csi_exp_group_ai_canvas: csi_exp_group_ai_canvas
                          csi_csi_exp_group_boost: boost_exp_new_user_v3
                          csi_csi_exp_group_multitasks_optimization_1: csi_v41_DCN_compress_ffm_r1381443_0-v2
                          csi_csi_exp_group_name_es_fusion_score: es_fusion_score_rt_v2
                          csi_csi_photomode_multi_model: photomode_add_feature_ttp_0602_v2
                          csi_csi_remove_midlongtail: csi_remove_midlongtail_v1
                          csi_csi_v1_video_quality_multitask_dcn_compress128_v99864_c918020_r1415463_0: >-
                            csi_v1_video_quality_multitask_dcn_compress128_v99864_c918020_r1415463_0_v1
                          csi_csi_v39_r1416848_0: csi_v39_r1416848_0_v4
                          csi_useful_exp_video: useful_exp_video_v0
                        language: en
                        recall_scores:
                          - 0
                        recall_source:
                          - FromEsTrending
                        rough_score: 0
                        score: 0.008362785913050175
                        target_score:
                          all_boost: 1.100000023841858
                          before_boost: 0.007602532859891653
                          multitasks_click_score: 0.0879088044166565
                          multitasks_collection_score: 0.006637215614318848
                          multitasks_info_collection_score: 0.00989958643913269
                          multitasks_info_shoot_score: 0.0891808271408081
                          multitasks_shoot_score: 0.0102006196975708
                          multitasks_strict_publish_score: 0.013249874114990234
                          rank_relevance_score: 0.2610511779785156
                          recall_relevance_score: 0.48182010650634766
                          video_quality_publish_score: 0.02034085988998413
                          video_quality_strict_search_vv_score: 0.25150126218795776
                      dislike_option_enabled: false
                      entity_id: 0
                      favorited_updated_at: 0
                      inspiration_types:
                        - search
                      is_favorited: false
                      order_popularity_seq: []
                      popularity: 95
                      popularity_updated_at: 1784116911
                      popularity_v2: 43392357
                      query_id: '7646234718484037653'
                      query_id_str: '7646234718484037653'
                      query_labels: []
                      query_text: alix miami swim suit
                      rewrite_version: ''
                      show_ai_canvas_entry: true
                      sug_id_str: '0'
                      textnet:
                        layer1: Fashion
                        layer2: Fashion Products
                        layer3: Dressing and Accessories Products
                        layer4: Dressing and Accessories Brands
                      trending_seq:
                        - 0
                        - 0
                        - 0
                        - 85
                        - 88
                        - 85
                        - 95
                      trending_seq_v2:
                        - 0
                        - 0
                        - 0
                        - 1616038
                        - 7483851
                        - 1769422
                        - 43392357
                      use_csi_api_for_related_videos: false
                      user_avatars: []
                      video_num: 2524097
                    - business_types:
                        - basic
                        - local service old
                        - experience
                        - hot_event_v2
                        - effect
                        - music
                        - llm_query_multi_lang
                        - video_agg_score
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                        - video_agg_score_post
                      cover_image: ''
                      debug_info:
                        creator_category:
                          - reason: byFollowerCnt
                            type: new_creator
                          - type: csi_new_user
                        creator_lang:
                          infer_languages:
                            - en
                          use_mul_lang: false
                        experiment:
                          csi_csi_dynamic_tab: csi_dynamic_tab_v4
                          csi_csi_exp_base_trending: csi_exp_base_trending
                          csi_csi_exp_group_ai_canvas: csi_exp_group_ai_canvas
                          csi_csi_exp_group_boost: boost_exp_new_user_v3
                          csi_csi_exp_group_multitasks_optimization_1: csi_v41_DCN_compress_ffm_r1381443_0-v2
                          csi_csi_exp_group_name_es_fusion_score: es_fusion_score_rt_v2
                          csi_csi_photomode_multi_model: photomode_add_feature_ttp_0602_v2
                          csi_csi_remove_midlongtail: csi_remove_midlongtail_v1
                          csi_csi_v1_video_quality_multitask_dcn_compress128_v99864_c918020_r1415463_0: >-
                            csi_v1_video_quality_multitask_dcn_compress128_v99864_c918020_r1415463_0_v1
                          csi_csi_v39_r1416848_0: csi_v39_r1416848_0_v4
                          csi_useful_exp_video: useful_exp_video_v0
                        language: en
                        recall_scores:
                          - 0
                        recall_source:
                          - FromRegionHotQuery
                        rough_score: 0
                        score: 0.04656379297375679
                        target_score:
                          all_boost: 1.100000023841858
                          before_boost: 0.04233071953058243
                          multitasks_click_score: 0.2914273142814636
                          multitasks_collection_score: 0.011768192052841187
                          multitasks_info_collection_score: 0.0019640326499938965
                          multitasks_info_shoot_score: 0.13029825687408447
                          multitasks_shoot_score: 0.06722265481948853
                          multitasks_strict_publish_score: 0.04973772168159485
                          rank_relevance_score: 0.8227295875549316
                          recall_relevance_score: 0.48180603981018066
                          video_quality_publish_score: 0.05528366565704346
                          video_quality_strict_search_vv_score: 0.2539111077785492
                      dislike_option_enabled: false
                      entity_id: 0
                      favorited_updated_at: 0
                      inspiration_types:
                        - search
                      is_favorited: false
                      order_popularity_seq: []
                      popularity: 94
                      popularity_updated_at: 1784117060
                      popularity_v2: 40965704
                      query_id: '7509091202382168120'
                      query_id_str: '7509091202382168120'
                      query_labels: []
                      query_text: creators sight insights
                      rewrite_version: ''
                      show_ai_canvas_entry: false
                      sug_id_str: '3990856894084740922'
                      textnet:
                        layer1: TikTok's Featured Content
                        layer2: Others TikTok and Video Contents
                        layer3: ''
                        layer4: ''
                      trending_seq:
                        - 93
                        - 93
                        - 93
                        - 94
                        - 94
                        - 94
                        - 94
                      trending_seq_v2:
                        - 31346292
                        - 33420369
                        - 35955208
                        - 37026687
                        - 38046781
                        - 39799654
                        - 40965704
                      use_csi_api_for_related_videos: false
                      user_avatars: []
                      video_num: 25460626
                    - business_types:
                        - basic
                        - experience
                        - content_gap
                      cover_image: ''
                      debug_info:
                        creator_category:
                          - reason: byFollowerCnt
                            type: new_creator
                          - type: csi_new_user
                        creator_lang:
                          infer_languages:
                            - en
                          use_mul_lang: false
                        experiment:
                          csi_csi_dynamic_tab: csi_dynamic_tab_v4
                          csi_csi_exp_base_trending: csi_exp_base_trending
                          csi_csi_exp_group_ai_canvas: csi_exp_group_ai_canvas
                          csi_csi_exp_group_boost: boost_exp_new_user_v3
                          csi_csi_exp_group_multitasks_optimization_1: csi_v41_DCN_compress_ffm_r1381443_0-v2
                          csi_csi_exp_group_name_es_fusion_score: es_fusion_score_rt_v2
                          csi_csi_photomode_multi_model: photomode_add_feature_ttp_0602_v2
                          csi_csi_remove_midlongtail: csi_remove_midlongtail_v1
                          csi_csi_v1_video_quality_multitask_dcn_compress128_v99864_c918020_r1415463_0: >-
                            csi_v1_video_quality_multitask_dcn_compress128_v99864_c918020_r1415463_0_v1
                          csi_csi_v39_r1416848_0: csi_v39_r1416848_0_v4
                          csi_useful_exp_video: useful_exp_video_v0
                        language: en
                        recall_scores:
                          - 0
                        recall_source:
                          - FromEsTrending
                        rough_score: 0
                        score: 0.0006543538183905184
                        target_score:
                          all_boost: 1
                          before_boost: 0.0006543538183905184
                          multitasks_click_score: 0.014500081539154053
                          multitasks_collection_score: 0.0012100636959075928
                          multitasks_info_collection_score: 0.016563504934310913
                          multitasks_info_shoot_score: 0.11404654383659363
                          multitasks_shoot_score: 0.0018766820430755615
                          multitasks_strict_publish_score: 0.0015698373317718506
                          rank_relevance_score: 0.7185903787612915
                          recall_relevance_score: 0.5686061978340149
                          video_quality_publish_score: 0.0012349486351013184
                          video_quality_strict_search_vv_score: 0.12860655784606934
                      dislike_option_enabled: false
                      entity_id: 0
                      favorited_updated_at: 0
                      inspiration_types:
                        - search
                      is_favorited: false
                      order_popularity_seq: []
                      popularity: 94
                      popularity_updated_at: 1784116894
                      popularity_v2: 40220679
                      query_id: '7654708460122013717'
                      query_id_str: '7654708460122013717'
                      query_labels: []
                      query_text: part 2the final body cam review grey sedan
                      rewrite_version: ''
                      show_ai_canvas_entry: false
                      sug_id_str: '0'
                      textnet:
                        layer1: Vehicles & Transportation
                        layer2: Transport Equipment
                        layer3: Motor Vehicles
                        layer4: Motor Vehicle Products
                      trending_seq:
                        - 91
                        - 92
                        - 92
                        - 92
                        - 94
                        - 93
                        - 94
                      trending_seq_v2:
                        - 20369909
                        - 24439174
                        - 27291047
                        - 29086549
                        - 38468955
                        - 34599491
                        - 40220679
                      use_csi_api_for_related_videos: false
                      user_avatars: []
                      video_num: 2783
                    - business_types:
                        - basic
                        - content_gap
                        - llm_query_multi_lang
                        - video_agg_score_post
                        - video_agg_score_post
                      cover_image: ''
                      debug_info:
                        creator_category:
                          - reason: byFollowerCnt
                            type: new_creator
                          - type: csi_new_user
                        creator_lang:
                          infer_languages:
                            - en
                          use_mul_lang: false
                        experiment:
                          csi_csi_dynamic_tab: csi_dynamic_tab_v4
                          csi_csi_exp_base_trending: csi_exp_base_trending
                          csi_csi_exp_group_ai_canvas: csi_exp_group_ai_canvas
                          csi_csi_exp_group_boost: boost_exp_new_user_v3
                          csi_csi_exp_group_multitasks_optimization_1: csi_v41_DCN_compress_ffm_r1381443_0-v2
                          csi_csi_exp_group_name_es_fusion_score: es_fusion_score_rt_v2
                          csi_csi_photomode_multi_model: photomode_add_feature_ttp_0602_v2
                          csi_csi_remove_midlongtail: csi_remove_midlongtail_v1
                          csi_csi_v1_video_quality_multitask_dcn_compress128_v99864_c918020_r1415463_0: >-
                            csi_v1_video_quality_multitask_dcn_compress128_v99864_c918020_r1415463_0_v1
                          csi_csi_v39_r1416848_0: csi_v39_r1416848_0_v4
                          csi_useful_exp_video: useful_exp_video_v0
                        language: en
                        recall_scores:
                          - 0
                        recall_source:
                          - FromEsTrending
                        rough_score: 0
                        score: 0.0007906919345259666
                        target_score:
                          all_boost: 1.100000023841858
                          before_boost: 0.0007188108284026384
                          multitasks_click_score: 0.017268627882003784
                          multitasks_collection_score: 0.0007361769676208496
                          multitasks_info_collection_score: 0.01729220151901245
                          multitasks_info_shoot_score: 0.11276432871818542
                          multitasks_shoot_score: 0.0014764070510864258
                          multitasks_strict_publish_score: 0.001238107681274414
                          rank_relevance_score: 0.0001322627067565918
                          recall_relevance_score: 0.4561663568019867
                          video_quality_publish_score: 0.002932310104370117
                          video_quality_strict_search_vv_score: 0.14038586616516113
                      dislike_option_enabled: false
                      entity_id: 0
                      favorited_updated_at: 0
                      inspiration_types:
                        - search
                      is_favorited: false
                      order_popularity_seq: []
                      popularity: 94
                      popularity_updated_at: 1784116824
                      popularity_v2: 38368905
                      query_id: '7415759157502066693'
                      query_id_str: '7415759157502066693'
                      query_labels:
                        - content_gap
                      query_text: other video
                      rewrite_version: ''
                      show_ai_canvas_entry: false
                      sug_id_str: '4682415594278976193'
                      textnet:
                        layer1: TikTok's Featured Content
                        layer2: Others TikTok and Video Contents
                        layer3: ''
                        layer4: ''
                      trending_seq:
                        - 72
                        - 74
                        - 65
                        - 70
                        - 77
                        - 91
                        - 94
                      trending_seq_v2:
                        - 199500
                        - 284957
                        - 58870
                        - 112843
                        - 410994
                        - 19504143
                        - 38368905
                      use_csi_api_for_related_videos: false
                      user_avatars: []
                      video_num: 9491
                    - business_types:
                        - basic
                        - experience
                        - hot_event
                        - hot_event_v2
                        - game
                        - midlong_tail
                      cover_image: ''
                      debug_info:
                        creator_category:
                          - reason: byFollowerCnt
                            type: new_creator
                          - type: csi_new_user
                        creator_lang:
                          infer_languages:
                            - en
                          use_mul_lang: false
                        experiment:
                          csi_csi_dynamic_tab: csi_dynamic_tab_v4
                          csi_csi_exp_base_trending: csi_exp_base_trending
                          csi_csi_exp_group_ai_canvas: csi_exp_group_ai_canvas
                          csi_csi_exp_group_boost: boost_exp_new_user_v3
                          csi_csi_exp_group_multitasks_optimization_1: csi_v41_DCN_compress_ffm_r1381443_0-v2
                          csi_csi_exp_group_name_es_fusion_score: es_fusion_score_rt_v2
                          csi_csi_photomode_multi_model: photomode_add_feature_ttp_0602_v2
                          csi_csi_remove_midlongtail: csi_remove_midlongtail_v1
                          csi_csi_v1_video_quality_multitask_dcn_compress128_v99864_c918020_r1415463_0: >-
                            csi_v1_video_quality_multitask_dcn_compress128_v99864_c918020_r1415463_0_v1
                          csi_csi_v39_r1416848_0: csi_v39_r1416848_0_v4
                          csi_useful_exp_video: useful_exp_video_v0
                        language: en
                        recall_scores:
                          - 0
                        recall_source:
                          - FromEsTrending
                        rough_score: 0
                        score: 0.0036211966071277857
                        target_score:
                          all_boost: 1
                          before_boost: 0.0036211966071277857
                          multitasks_click_score: 0.05896201729774475
                          multitasks_collection_score: 0.003708094358444214
                          multitasks_info_collection_score: 0.01056051254272461
                          multitasks_info_shoot_score: 0.12706604599952698
                          multitasks_shoot_score: 0.008757293224334717
                          multitasks_strict_publish_score: 0.006053060293197632
                          rank_relevance_score: 0.16586363315582275
                          recall_relevance_score: 0.5483954548835754
                          video_quality_publish_score: 0.004088401794433594
                          video_quality_strict_search_vv_score: 0.16662165522575378
                      dislike_option_enabled: false
                      entity_id: 0
                      favorited_updated_at: 0
                      inspiration_types:
                        - search
                      is_favorited: false
                      order_popularity_seq: []
                      popularity: 94
                      popularity_updated_at: 1784117515
                      popularity_v2: 37371183
                      query_id: '7649628095187517461'
                      query_id_str: '7649628095187517461'
                      query_labels: []
                      query_text: tadc x fortnite skins
                      rewrite_version: ''
                      show_ai_canvas_entry: false
                      sug_id_str: '0'
                      textnet:
                        layer1: ACGN
                        layer2: Games
                        layer3: Game Works
                        layer4: Game Work Related
                      trending_seq:
                        - 72
                        - 74
                        - 85
                        - 85
                        - 88
                        - 94
                        - 94
                      trending_seq_v2:
                        - 211236
                        - 277916
                        - 1064280
                        - 1934619
                        - 6527940
                        - 39286209
                        - 37371183
                      use_csi_api_for_related_videos: false
                      user_avatars: []
                      video_num: 21149
                    - business_types:
                        - basic
                        - hot_event_v2
                        - effect
                        - music
                      cover_image: ''
                      debug_info:
                        creator_category:
                          - reason: byFollowerCnt
                            type: new_creator
                          - type: csi_new_user
                        creator_lang:
                          infer_languages:
                            - en
                          use_mul_lang: false
                        experiment:
                          csi_csi_dynamic_tab: csi_dynamic_tab_v4
                          csi_csi_exp_base_trending: csi_exp_base_trending
                          csi_csi_exp_group_ai_canvas: csi_exp_group_ai_canvas
                          csi_csi_exp_group_boost: boost_exp_new_user_v3
                          csi_csi_exp_group_multitasks_optimization_1: csi_v41_DCN_compress_ffm_r1381443_0-v2
                          csi_csi_exp_group_name_es_fusion_score: es_fusion_score_rt_v2
                          csi_csi_photomode_multi_model: photomode_add_feature_ttp_0602_v2
                          csi_csi_remove_midlongtail: csi_remove_midlongtail_v1
                          csi_csi_v1_video_quality_multitask_dcn_compress128_v99864_c918020_r1415463_0: >-
                            csi_v1_video_quality_multitask_dcn_compress128_v99864_c918020_r1415463_0_v1
                          csi_csi_v39_r1416848_0: csi_v39_r1416848_0_v4
                          csi_useful_exp_video: useful_exp_video_v0
                        language: en
                        recall_scores:
                          - 0
                        recall_source:
                          - FromEsTrending
                        rough_score: 0
                        score: 0.004508177284151316
                        target_score:
                          all_boost: 1
                          before_boost: 0.004508177284151316
                          multitasks_click_score: 0.07335785031318665
                          multitasks_collection_score: 0.0059927403926849365
                          multitasks_info_collection_score: 0.01778268814086914
                          multitasks_info_shoot_score: 0.15549829602241516
                          multitasks_shoot_score: 0.010557770729064941
                          multitasks_strict_publish_score: 0.006128132343292236
                          rank_relevance_score: 0.4340769052505493
                          recall_relevance_score: 0.5391147136688232
                          video_quality_publish_score: 0.004020214080810547
                          video_quality_strict_search_vv_score: 0.17486238479614258
                      dislike_option_enabled: false
                      entity_id: 0
                      favorited_updated_at: 0
                      inspiration_types:
                        - search
                      is_favorited: false
                      order_popularity_seq: []
                      popularity: 93
                      popularity_updated_at: 1784114686
                      popularity_v2: 34295684
                      query_id: '7654329267861340180'
                      query_id_str: '7654329267861340180'
                      query_labels: []
                      query_text: quiet on the creek
                      rewrite_version: ''
                      show_ai_canvas_entry: false
                      sug_id_str: '0'
                      textnet:
                        layer1: ACGN
                        layer2: Animation and Comics
                        layer3: ACGN Works
                        layer4: Cartoon Works
                      trending_seq:
                        - 82
                        - 85
                        - 85
                        - 87
                        - 90
                        - 92
                        - 93
                      trending_seq_v2:
                        - 712713
                        - 1446533
                        - 2686005
                        - 5734119
                        - 15072219
                        - 28500446
                        - 34295684
                      use_csi_api_for_related_videos: false
                      user_avatars: []
                      video_num: 1173
                    - business_types:
                        - basic
                        - hot_event_v2
                        - effect
                        - music
                      cover_image: ''
                      debug_info:
                        creator_category:
                          - reason: byFollowerCnt
                            type: new_creator
                          - type: csi_new_user
                        creator_lang:
                          infer_languages:
                            - en
                          use_mul_lang: false
                        experiment:
                          csi_csi_dynamic_tab: csi_dynamic_tab_v4
                          csi_csi_exp_base_trending: csi_exp_base_trending
                          csi_csi_exp_group_ai_canvas: csi_exp_group_ai_canvas
                          csi_csi_exp_group_boost: boost_exp_new_user_v3
                          csi_csi_exp_group_multitasks_optimization_1: csi_v41_DCN_compress_ffm_r1381443_0-v2
                          csi_csi_exp_group_name_es_fusion_score: es_fusion_score_rt_v2
                          csi_csi_photomode_multi_model: photomode_add_feature_ttp_0602_v2
                          csi_csi_remove_midlongtail: csi_remove_midlongtail_v1
                          csi_csi_v1_video_quality_multitask_dcn_compress128_v99864_c918020_r1415463_0: >-
                            csi_v1_video_quality_multitask_dcn_compress128_v99864_c918020_r1415463_0_v1
                          csi_csi_v39_r1416848_0: csi_v39_r1416848_0_v4
                          csi_useful_exp_video: useful_exp_video_v0
                        language: en
                        recall_scores:
                          - 0
                        recall_source:
                          - FromEsTrending
                        rough_score: 0
                        score: 0.004832149017602205
                        target_score:
                          all_boost: 1
                          before_boost: 0.004832149017602205
                          multitasks_click_score: 0.10229116678237915
                          multitasks_collection_score: 0.013027548789978027
                          multitasks_info_collection_score: 0.012177765369415283
                          multitasks_info_shoot_score: 0.059432923793792725
                          multitasks_shoot_score: 0.014584153890609741
                          multitasks_strict_publish_score: 0.009239614009857178
                          rank_relevance_score: 0.14386937022209167
                          recall_relevance_score: 0.5538203120231628
                          video_quality_publish_score: 0.001148998737335205
                          video_quality_strict_search_vv_score: 0.13221687078475952
                      dislike_option_enabled: false
                      entity_id: 0
                      favorited_updated_at: 0
                      inspiration_types:
                        - search
                      is_favorited: false
                      order_popularity_seq: []
                      popularity: 93
                      popularity_updated_at: 1784117543
                      popularity_v2: 31637787
                      query_id: '7661077521634426901'
                      query_id_str: '7661077521634426901'
                      query_labels: []
                      query_text: norway vs england live
                      rewrite_version: ''
                      show_ai_canvas_entry: false
                      sug_id_str: '0'
                      textnet:
                        layer1: Sports
                        layer2: Physical Sports
                        layer3: Sports Competitions
                        layer4: Ball Games
                      trending_seq:
                        - 0
                        - 72
                        - 70
                        - 79
                        - 70
                        - 77
                        - 93
                      trending_seq_v2:
                        - 0
                        - 205861
                        - 125637
                        - 482844
                        - 115534
                        - 388716
                        - 31637787
                      use_csi_api_for_related_videos: false
                      user_avatars: []
                      video_num: 0
                    - business_types:
                        - basic
                        - local service old
                        - experience
                        - llm_query_multi_lang
                        - demand_points
                      cover_image: ''
                      debug_info:
                        creator_category:
                          - reason: byFollowerCnt
                            type: new_creator
                          - type: csi_new_user
                        creator_lang:
                          infer_languages:
                            - en
                          use_mul_lang: false
                        experiment:
                          csi_csi_dynamic_tab: csi_dynamic_tab_v4
                          csi_csi_exp_base_trending: csi_exp_base_trending
                          csi_csi_exp_group_ai_canvas: csi_exp_group_ai_canvas
                          csi_csi_exp_group_boost: boost_exp_new_user_v3
                          csi_csi_exp_group_multitasks_optimization_1: csi_v41_DCN_compress_ffm_r1381443_0-v2
                          csi_csi_exp_group_name_es_fusion_score: es_fusion_score_rt_v2
                          csi_csi_photomode_multi_model: photomode_add_feature_ttp_0602_v2
                          csi_csi_remove_midlongtail: csi_remove_midlongtail_v1
                          csi_csi_v1_video_quality_multitask_dcn_compress128_v99864_c918020_r1415463_0: >-
                            csi_v1_video_quality_multitask_dcn_compress128_v99864_c918020_r1415463_0_v1
                          csi_csi_v39_r1416848_0: csi_v39_r1416848_0_v4
                          csi_useful_exp_video: useful_exp_video_v0
                        language: en
                        recall_scores:
                          - 0
                        recall_source:
                          - FromEsTrending
                        rough_score: 0
                        score: 0.0028594278264790773
                        target_score:
                          all_boost: 1.100000023841858
                          before_boost: 0.002599479863420129
                          multitasks_click_score: 0.0603330135345459
                          multitasks_collection_score: 0.007620126008987427
                          multitasks_info_collection_score: 0.01679888367652893
                          multitasks_info_shoot_score: 0.10040915012359619
                          multitasks_shoot_score: 0.008481502532958984
                          multitasks_strict_publish_score: 0.003971695899963379
                          rank_relevance_score: 0.00007024407386779785
                          recall_relevance_score: 0.5023612976074219
                          video_quality_publish_score: 0.0014684796333312988
                          video_quality_strict_search_vv_score: 0.12473037838935852
                      dislike_option_enabled: false
                      entity_id: 0
                      favorited_updated_at: 0
                      inspiration_types:
                        - search
                      is_favorited: false
                      order_popularity_seq: []
                      popularity: 92
                      popularity_updated_at: 1784114873
                      popularity_v2: 27629260
                      query_id: 14261909
                      query_id_str: '14261909'
                      query_labels:
                        - content_gap
                      query_text: caterpillar eyebrows
                      rewrite_version: ''
                      show_ai_canvas_entry: true
                      sug_id_str: '601313151066256797'
                      textnet:
                        layer1: Fashion
                        layer2: Fashion Tutorials
                        layer3: Beauty and Skin Care Tutorials
                        layer4: Beauty Tutorials
                      trending_seq:
                        - 76
                        - 72
                        - 73
                        - 70
                        - 72
                        - 85
                        - 92
                      trending_seq_v2:
                        - 344634
                        - 212121
                        - 234323
                        - 133513
                        - 219821
                        - 2592159
                        - 27629260
                      use_csi_api_for_related_videos: false
                      user_avatars: []
                      video_num: 620
                    - business_types:
                        - basic
                        - local service old
                        - experience
                        - hot_event_v2
                        - effect
                        - music
                        - template
                        - llm_query_multi_lang
                        - exp_video_gen
                      cover_image: ''
                      debug_info:
                        creator_category:
                          - reason: byFollowerCnt
                            type: new_creator
                          - type: csi_new_user
                        creator_lang:
                          infer_languages:
                            - en
                          use_mul_lang: false
                        experiment:
                          csi_csi_dynamic_tab: csi_dynamic_tab_v4
                          csi_csi_exp_base_trending: csi_exp_base_trending
                          csi_csi_exp_group_ai_canvas: csi_exp_group_ai_canvas
                          csi_csi_exp_group_boost: boost_exp_new_user_v3
                          csi_csi_exp_group_multitasks_optimization_1: csi_v41_DCN_compress_ffm_r1381443_0-v2
                          csi_csi_exp_group_name_es_fusion_score: es_fusion_score_rt_v2
                          csi_csi_photomode_multi_model: photomode_add_feature_ttp_0602_v2
                          csi_csi_remove_midlongtail: csi_remove_midlongtail_v1
                          csi_csi_v1_video_quality_multitask_dcn_compress128_v99864_c918020_r1415463_0: >-
                            csi_v1_video_quality_multitask_dcn_compress128_v99864_c918020_r1415463_0_v1
                          csi_csi_v39_r1416848_0: csi_v39_r1416848_0_v4
                          csi_useful_exp_video: useful_exp_video_v0
                        language: en
                        recall_scores:
                          - 0
                        recall_source:
                          - FromEsTrending
                        rough_score: 0
                        score: 0.0006282079848460853
                        target_score:
                          all_boost: 1.100000023841858
                          before_boost: 0.0005710981786251068
                          multitasks_click_score: 0.01353558897972107
                          multitasks_collection_score: 0.0013768672943115234
                          multitasks_info_collection_score: 0.015492498874664307
                          multitasks_info_shoot_score: 0.09469497203826904
                          multitasks_shoot_score: 0.0017680823802947998
                          multitasks_strict_publish_score: 0.0011525750160217285
                          rank_relevance_score: 0.051098376512527466
                          recall_relevance_score: 0.5019910931587219
                          video_quality_publish_score: 0.0021718740463256836
                          video_quality_strict_search_vv_score: 0.1266103833913803
                      dislike_option_enabled: false
                      entity_id: 0
                      favorited_updated_at: 0
                      inspiration_types:
                        - search
                      is_favorited: false
                      order_popularity_seq: []
                      popularity: 92
                      popularity_updated_at: 1784115708
                      popularity_v2: 27558542
                      query_id: '7412790731145756677'
                      query_id_str: '7412790731145756677'
                      query_labels:
                        - content_gap
                      query_text: brazil dance trend tutorial
                      rewrite_version: ''
                      show_ai_canvas_entry: false
                      sug_id_str: '0'
                      textnet:
                        layer1: Dance
                        layer2: Dance Tutorial
                        layer3: ''
                        layer4: ''
                      trending_seq:
                        - 89
                        - 89
                        - 88
                        - 89
                        - 89
                        - 90
                        - 92
                      trending_seq_v2:
                        - 9234575
                        - 9502849
                        - 7913408
                        - 8749724
                        - 9016597
                        - 16457053
                        - 27558542
                      use_csi_api_for_related_videos: false
                      user_avatars: []
                      video_num: 1224
                  status_code: 0
                  status_msg: ''
                requestId: 8290f8b0-fe45-4b12-9097-465cc45e84d5
          headers: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 400
                  data: null
                  message: Missing required parameter
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 401
                  data: null
                  message: apiKey is null
        '402':
          description: Payment Required
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 402
                  data: null
                  message: apiKey quota is not enough
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 429
                  data: null
                  message: qps limit exceeded
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 500
                  data: null
                  message: Internal server error
      deprecated: false
      security:
        - JWT Bearer: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.keyapi.ai/v1/tiktok/trending/keyword/ranking?tab=all&region=US&offset=0&count=10' \
              --header 'Authorization: Bearer <YOUR_API_KEY>'
        - lang: python
          label: Python
          source: |-
            import requests

            response = requests.get(
                'https://api.keyapi.ai/v1/tiktok/trending/keyword/ranking',
                params={"tab": "all", "region": "US", "offset": 0, "count": 10},
                headers={'Authorization': 'Bearer <YOUR_API_KEY>'}
            )
            print(response.json())
        - lang: javascript
          label: JavaScript
          source: >-
            const params = new URLSearchParams({"tab": "all", "region": "US",
            "offset": 0, "count": 10});


            const response = await
            fetch(`https://api.keyapi.ai/v1/tiktok/trending/keyword/ranking?${params}`,
            {
              method: 'GET',
              headers: { 'Authorization': 'Bearer <YOUR_API_KEY>' }
            });

            const data = await response.json();

            console.log(data);
components:
  securitySchemes:
    JWT Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |-
        API key for authentication. Format: `sk_live_xxxxxxxxxxxxx`
        Get your API key from the [Dashboard](http://keyapi.ai/app/dashboard).

````